#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Set
%define		pnam	Object
Summary:	Set::Object - set of objects and strings
Summary(pl.UTF-8):	Set::Object - zbiór obiektów i łańcuchów
Name:		perl-Set-Object
Version:	1.39
Release:	3
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Set/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	21571b7e6e3fcd4089ce640e048760de
URL:		http://search.cpan.org/dist/Set-Object/
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Set::Object Perl module implements a Set of objects, that is, a
collection of objects without duplications. It is similar to a
Smalltalk IdentitySet.

%description -l pl.UTF-8
Moduł Perla Set::Object implementuje zbiór obiektów, tzn. zestaw
obiektów bez duplikatów. Jest on podobny do IdentitySet Smalltalka.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes*
%{perl_vendorarch}/Set
%dir %{perl_vendorarch}/auto/Set
%dir %{perl_vendorarch}/auto/Set/Object
%{perl_vendorarch}/auto/Set/Object/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Set/Object/Object.so
%{_mandir}/man3/*
%changelog
* Fri May 07 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Set-Object.git;a=log;h=master

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 3279cc4
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> cf30113
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 545a6d6
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Wed Aug 29 2018 Marcin Krol <hawk@tld-linux.org> 6560086
- updated to 1.39

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> b694c5c
- perl req/prov fix
- release 8 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> b91f9da
- rebuild with perl 5.26
- release 7 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 5343321
- rebuild with perl 5.24.0
- release 6 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 0caf880
- release 5 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> dfbc4a3
- x32 rebuild
- release 4 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> e7f0dcb
- release 3 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 9376140
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 0991261
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> 2c623cb
- up to 1.31

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> ca90053
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> 1e0d2be
- up to 1.28

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 0993aa6
- rel 4

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> a3f7531
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7fb19fd
- release 2

* Wed Oct 14 2009 amateja <amateja@pld-linux.org> 431f63f
- 1.27

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 723f67b
- release 4

